# This is the main configuration file for Bukkit.
# As you can see, there's actually not that much to configure without any plugins.
# For a reference for any variable inside this file, check out the bukkit wiki at
# http://wiki.bukkit.org/Bukkit.yml
settings:
  allow-end: false
  warn-on-overload: true
  permissions-file: permissions.yml
  update-folder: update
  ping-packet-limit: 100
  use-exact-login-location: false
  plugin-profiling: false
  connection-throttle: 4000
  query-plugins: true
  deprecated-verbose: default
  shutdown-message: Server closed
  whitelist-message: You are not white-listed on this server!
  log-commands: true
  command-complete: true
  spam-exclusions:
  - /skill
  filter-unsafe-ips: false
  tab-ping: false
  timeout-time: 60
  restart-on-crash: false
  restart-script-location: /path/to/server/start.sh
  bungee-proxies:
  - 127.0.0.1
  texture-resolution: 16
spawn-limits:
  monsters: 70
  animals: 15
  water-animals: 5
  ambient: 15
chunk-gc:
  period-in-ticks: 600
  load-threshold: 0
ticks-per:
  animal-spawns: 400
  monster-spawns: 1
  autosave: 0
  hopper-transfer: 8
  hopper-check: 8
auto-updater:
  enabled: true
  on-broken:
  - warn-console
  - warn-ops
  on-update:
  - warn-console
  - warn-ops
  preferred-channel: rb
  host: dl.bukkit.org
  suggest-channels: true
database:
  username: bukkit
  isolation: SERIALIZABLE
  driver: org.sqlite.JDBC
  password: walrus
  url: jdbc:sqlite:{DIR}{NAME}.db
world-settings:
  default:
    growth-chunks-per-tick: 650
    mob-spawn-range: 6
    random-light-updates: false
    aggregate-chunkticks: 4
    item-merge-radius: 3.5
    exp-merge-radius: 3.5
    wheat-growth-modifier: 100
    cactus-growth-modifier: 100
    melon-growth-modifier: 100
    pumpkin-growth-modifier: 100
    sugar-growth-modifier: 100
    tree-growth-modifier: 100
    mushroom-growth-modifier: 100
    entity-activation-range-animals: 32
    entity-activation-range-monsters: 32
    entity-activation-range-misc: 16
    entity-tracking-range-players: 48
    entity-tracking-range-animals: 48
    entity-tracking-range-monsters: 48
    entity-tracking-range-misc: 32
    entity-tracking-range-max: 64
    info: true
  world:
    growth-chunks-per-tick: 650
    mob-spawn-range: 6
    random-light-updates: false
    aggregate-chunkticks: 4
    item-merge-radius: 3.5
    exp-merge-radius: 3.5
    wheat-growth-modifier: 100
    cactus-growth-modifier: 100
    melon-growth-modifier: 100
    pumpkin-growth-modifier: 100
    sugar-growth-modifier: 100
    tree-growth-modifier: 100
    mushroom-growth-modifier: 100
    entity-activation-range-animals: 32
    entity-activation-range-monsters: 32
    entity-activation-range-misc: 16
    entity-tracking-range-players: 48
    entity-tracking-range-animals: 48
    entity-tracking-range-monsters: 48
    entity-tracking-range-misc: 32
    entity-tracking-range-max: 64
    info: true
  world_nether:
    view-distance: 5
    growth-chunks-per-tick: 0
    random-light-updates: true
orebfuscator:
  enable: false
  engine-mode: 1
  disabled-worlds:
  - world_the_end
  blocks:
  - 1
  - 5
  - 14
  - 15
  - 16
  - 21
  - 48
  - 49
  - 54
  - 56
  - 73
  - 74
  - 82
  - 129
  - 130
config-version: 2
